Package org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn

## Class IntervalFunction

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.IntervalFunction

- Direct Known Subclasses:
    `After`, `AnalyzedText`, `AtLeast`, `Before`, `ContainedBy`, `Containing`, `Extend`, `FuzzyTerm`, `MaxGaps`, `MaxWidth`, `NonOverlapping`, `NotContainedBy`, `NotContaining`, `NotWithin`, `Or`, `Ordered`, `Overlapping`, `Phrase`, `Unordered`, `UnorderedNoOverlaps`, `Wildcard`, `Within`

      public abstract class IntervalFunction
      extends Object

  Representation of an interval function that can be converted to `IntervalsSource`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntervalFunction()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract IntervalsSource` | `toIntervalSource​(String field, Analyzer analyzer)` |
    `abstract String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntervalFunction

          public IntervalFunction()

  - ### Method Detail

    - #### toIntervalSource

          public abstract IntervalsSource toIntervalSource​(String field,
                                                           Analyzer analyzer)

    - #### toString

          public abstract String toString()

      Overrides:
        `toString` in class `Object`